<?php
/**
 * Metadata version and module information
 *
 * @package aixVeristore
 * @author AIXhibit AG
 * @link http://www.aixhibit.de
 * @copyright (C) 2014, AIXhibit AG
 * @license http://www.gnu.org/licenses/gpl-3.0.txt GPL
 */
$sMetadataVersion = '1.1';
$aModule = array(
    'id'            => 'aixVeristore',
    'title'         => '<img src="../modules/aixhibit/aixVeristore/veristore-text.png" alt="Veristore" />',
    'description'   => array(
        'en' => 'Adds the Veristore widget to your shop.',
        'de' => 'Bindet das Veristore-Widget in Ihrem Shop ein.'
    ),
    'thumbnail'     => 'Veristore.png',
    'version'       => '1.2.1',
    'author'        => 'Veristore GmbH',
    'email'         => 'info@veristore.de',
    'url'           => 'http://www.veristore.de',
    'extend'        => array(
        'oxviewconfig'  => 'aixhibit/aixVeristore/core/aixVeristoreOxViewConfig',
        'navigation'    => 'aixhibit/aixVeristore/controllers/admin/aixVeristoreNavigation',
    ),
    'blocks'        => array(
        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_js',
            'file'     => 'base_base_js.tpl',
        ),
        array(
            'template' => 'layout/footer.tpl',
            'block'    => 'footer_main',
            'file'     => 'footer_footer_main.tpl',
        ),
    ),
    'settings' => array(
        array('group' => 'aixVeristoreBaseConfig', 'name' => 'sAixToken', 'type' => 'str',  'value' => 'dh4URozyzCLZxCdrmyra'),
        array('group' => 'aixVeristoreBaseConfig', 'name' => 'blAixVsWidget', 'type' => 'bool',  'value' => 'true'),
        array('group' => 'aixVeristoreBaseConfig', 'name' => 'blAixVsStructData', 'type' => 'bool',  'value' => 'true'),
        array('group' => 'aixVeristoreAdvancedConfig', 'name' => 'sAixVsPosition', 'type' => 'select',  'value' => 'right', 'constraints' => 'left|right', 'position' => 'right'),
        array('group' => 'aixVeristoreAdvancedConfig', 'name' => 'sAixVariant', 'type' => 'select',  'value' => 'medium', 'constraints' => 'small|medium', 'position' => 'medium'),
        array('group' => 'aixVeristoreAdvancedConfig', 'name' => 'iAixOffset', 'type' => 'str',  'value' => '120'),
        array('group' => 'aixVeristoreAdvancedConfig', 'name' => 'blAixResponsive', 'type' => 'bool',  'value' => 'true'),
    )
);